MINISTAT(1)

NAME
ministat - statistics utility

SYNOPSIS
ministat [-ns] [-C column] [-c confidence_level] [-d delimiter] [-w [width]] [file ...]

DESCRIPTION
The ministat command calculates fundamental statistical properties of numeric data in the specified files or, if no file is specified, standard input.

The options are as follows:

-n  Just report the raw statistics of the input, suppress the ASCII-art plot and the relative comparisons.

-s  Print the average/median/stddev bars on separate lines in the ASCII-art plot, to avoid overlap.

-C column
    Specify which column of data to use. By default the first column in the input file(s) are used.

-c confidence_level
    Specify desired confidence level for Student's T analysis. Possible values are 80, 90, 95, 98, 99 and 99.5 %

-d delimiter
    Specifies the column delimiter characters, default is SPACE and TAB. See strtok(3) for details.

-w width
    Width of ASCII-art plot in characters, default is 74.

A sample output could look like this:

      $ ministat -s -w 60 iguana chameleon
      x iguana
      + chameleon
      +------------------------------------------------------------+
      |x      *  x            *      +              + x           +|
      | |________M______A_______________|                          |
      |             |________________M__A___________________|      |
      +------------------------------------------------------------+
          N        Min        Max     Median        Avg       Stddev
      x   7         50        750        200        300    238.04761
      +   5        150        930        500        540    299.08193
      No difference proven at 95.0% confidence

If ministat tells you, as in the example above, that there is no difference proven at 95% confidence, the two data sets you gave it are for all statistical purposes identical.

You have the option of lowering your standards by specifying a lower confidence level:

      $ ministat -s -w 60 -c 80 iguana chameleon
      x iguana
      + chameleon
      +------------------------------------------------------------+
      |x      *  x            *      +              + x           +|
      | |________M______A_______________|                          |
      |             |________________M__A___________________|      |
      +------------------------------------------------------------+
          N        Min        Max     Median        Avg       Stddev
      x   7         50        750        200        300    238.04761
      +   5        150        930        500        540    299.08193
      Difference at 80.0% confidence
            240 +/- 212.215
            80% +/- 70.7384%
            (Student's t, pooled s = 264.159)

But a lower standard does not make your data any better, and the example is only included here to show the format of the output when a statistical difference is proven according to Student's T method.

SEE ALSO
Any mathematics text on basic statistics, for instances Larry Gonicks excellent "Cartoon Guide to Statistics" which supplied the above example.

HISTORY
The ministat command was written by Poul-Henning Kamp out of frustration over all the bogus benchmark claims made by people with no understanding of the importance of uncertainty and statistics.

From FreeBSD 5.2 it has lived in the source tree as a developer tool, graduating to the installed system from FreeBSD 8.0.